Arch: Piano

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Floor and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎português • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Arch Rebar.svg Armatura Pagina precedente:
Pagina successiva: Parte di edificio Arch BuildingPart.svg Arrow-right.svg

Arch Floor.svg Piano

Posizione nel menu
Arch → Piano
Ambiente
Architettura
Avvio veloce
F L
Introdotto nella versione
-
Vedere anche
Edificio, Parte di edificio


Descrizione

Il Piano del modulo Arch è un gruppo speciale di oggetti di FreeCAD che possiede alcune proprietà aggiuntive particolarmente utili nella costruzione dei piani. In particolare, possiede la proprietà di altezza, che i suoi oggetti figli, i muri (muri e le strutture), possono utilizzare per impostare automaticamente la loro altezza. I piani sono prevalentemente utilizzati per organizzare il modello.

A partire da FreeCAD 0.18, il Piano è derivato interamente dall'oggetto Parte di edificio, che è un contenitore generale per organizzare un modello di edificio non limitato a piani o pavimenti. Gli oggetti Piano creati con versioni precedenti di FreeCAD possono essere convertiti nel nuovo tipo facendo clic con il pulsante destro del mouse su di essi e scegliendo Convert to BuildingPart.

Utilizzo

  1. Selezionare uno o più oggetti da includere nel nuovo piano.
  2. Premere il pulsante Arch Floor.svg Piano, oppure premere i tasti F e L

Opzioni

  • Dopo aver creato un piano, è possibile aggiungere ad esso altri oggetti con il drag-and-drop nella struttura ad albero o utilizzando lo strumento Arch Add.svg Aggiungi.
  • È possibile rimuovere gli oggetti da un piano trascinandoli fuori con il drag-and-drop nella vista ad albero o utilizzando lo strumento Arch Remove.svg Rimuovi.

Proprietà

Un oggetto Piano condivide tutte le proprietà di una Parte di edificio, con la proprietàDATAIfc Role impostata su "Building Storey".

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Piano può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Crea un oggetto Floor da una objectslist, che è una lista di oggetti.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Rebar.svg Armatura Pagina precedente:
Pagina successiva: Parte di edificio Arch BuildingPart.svg Arrow-right.svg